## com.lowagie.text.rtf.text
Class RtfNewPage

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.text.RtfNewPage

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

    public class RtfNewPage

extends RtfElement

The RtfNewPage creates a new page. INTERNAL CLASS

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

Field Summary
`static byte[]` `NEW_PAGE` Constant for a new page

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfNewPage(RtfDocument doc)` Constructs a RtfNewPage

Method Summary
`void` `writeContent(java.io.OutputStream result)` Writes a new page

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_PAGE

    public static final byte[] NEW_PAGE

  Constant for a new page

Constructor Detail

### RtfNewPage

    public RtfNewPage(RtfDocument doc)

  Constructs a RtfNewPage

  Parameters:
    `doc` - The RtfDocument this RtfNewPage belongs to

Method Detail

### writeContent

    public void writeContent(java.io.OutputStream result)
                      throws java.io.IOException

  Writes a new page

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Specified by:
    `writeContent` in class `RtfElement`
  Parameters:
    `result` - The `OutputStream` to write the content to
  Throws:
    `java.io.IOException`

Hosted by Hostbasket